Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport
Class EPPEventHandler

    java.lang.Object
      com.verisign.epp.transport.EPPEventHandler

All Implemented Interfaces:
  ServerEventHandler, java.lang.Cloneable

    public class EPPEventHandler

extends java.lang.Object
implements ServerEventHandler

$Id: EPPEventHandler.java,v 1.2 2004/01/26 21:21:06 jim Exp $

Since:
  JDK1.0
Version:
  1.0, 03/10/01
Author:
  P. Amiri

Constructor Summary
`EPPEventHandler()`

Method Summary
`java.lang.Object` | `clone()` DOCUMENT ME!
`void` | `handleConnection(java.io.InputStream newInputStream, java.io.OutputStream newOutputStream)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPEventHandler

    public EPPEventHandler()

Method Detail

### handleConnection

    public void handleConnection(java.io.InputStream newInputStream,
                                 java.io.OutputStream newOutputStream)

  DOCUMENT ME!

  Specified by:
    `handleConnection` in interface `ServerEventHandler`
  Parameters:
    `newInputStream` - DOCUMENT ME!
    `newOutputStream` - DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  DOCUMENT ME!

  Specified by:
    `clone` in interface `ServerEventHandler`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.CloneNotSupportedException` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.